Bug 862979 - system-config-printer-applet does not show in systray; consequently no printing notifications displayed
system-config-printer-applet does not show in systray; consequently no printi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 01:51 EDT by Matt Kinni
Modified: 2012-10-30 05:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 05:24:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of system-config-printer-applet in systray (29.32 KB, image/png)
2012-10-04 01:51 EDT, Matt Kinni
no flags Details

  None (edit)
Description Matt Kinni 2012-10-04 01:51:17 EDT
Created attachment 621345 [details]
screenshot of system-config-printer-applet in systray

Description of problem:
I noticed that whenever I print something, I don't get any notifications that I used to.  I tracked this down to the fact that in /etc/xdg/autostart/print-applet.desktop there is a line that says:
   NotShowIn=GNOME;KDE;

If I uncomment GNOME and restart X, the printer applet shows itself in the systray.  Now if I print something, I get notifications that a new job has been created (or if I cancel a job I get notified of that too).  However, the icon has unhelpful text "scp-dbus-service.py" beside it (screenshot attached).

Version-Release number of selected component (if applicable):
system-config-printer-1.3.9-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. print
2.
3.
  
Actual results:
No notifications or tray icon for printer exists

Expected results:
Tray icon pops up when a print job starts and a notification is made

Additional info:
My worst fear is that "NotShowIn=GNOME;KDE;" is a design "feature" of some sort, but I hope this is not the case.  Currently the only way to cancel or view print jobs is to open up GNOME system settings, click on printers, then click the show jobs button.
Comment 1 Tim Waugh 2012-10-08 08:03:47 EDT
GNOME 3 provides its own printing notifications. KDE has its own applet.

Which desktop are you using?
Comment 2 Matt Kinni 2012-10-15 00:42:26 EDT
Well I mainly use Cinnamon and it needs that applet, but even when I was experimenting in GNOME 3 I still didn't get any printer notifications unless that app was (hackedly) running.  I'm not really concerned about a popup notifcation so much as the ability to click the icon and see the current print jobs
Comment 3 Tim Waugh 2012-10-15 09:25:45 EDT
Changing component.  IMHO, Cinnamon ought to register its own OnlyShowIn environment:
  http://standards.freedesktop.org/menu-spec/1.1/apb.html
Comment 4 Dan Mashal 2012-10-30 05:11:52 EDT
No it shouldn't.
Comment 5 leigh scott 2012-10-30 05:24:27 EDT
(In reply to comment #3)
> Changing component.  IMHO, Cinnamon ought to register its own OnlyShowIn
> environment:
>   http://standards.freedesktop.org/menu-spec/1.1/apb.html

Clem has refused to register cinnamon so I'm closing this as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.